Bug 185936 - math/labplot: Update to version 2.0.0
math/labplot: Update to version 2.0.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-20 18:40 UTC by tkato432
Modified: 2014-05-18 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.36 KB, patch)
2014-01-20 18:40 UTC, tkato432
no flags Details | Diff
math_labplot.diff (4.15 KB, patch)
2014-02-01 18:00 UTC, tkato432
no flags Details | Diff
math_labplot.diff (4.18 KB, patch)
2014-02-07 19:27 UTC, tkato432
no flags Details | Diff
math_labplot.diff (4.21 KB, patch)
2014-02-19 17:56 UTC, tkato432
no flags Details | Diff
math_labplot.diff (4.47 KB, patch)
2014-04-03 19:58 UTC, tkato432
no flags Details | Diff
math_labplot.diff (4.15 KB, patch)
2014-05-09 20:30 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-20 18:40:02 UTC
- Update to version 2.0.0
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 tkato432 2014-02-01 18:00:00 UTC
Version 2.0.1 has been released.
Comment 3 Martin Wilke freebsd_committer 2014-02-07 12:39:32 UTC
State Changed
From-To: open->feedback

fails to fetch http://pkgdev.miwibox.org/latest-per-pkg/labplot/2.0.1/
Comment 4 tkato432 2014-02-07 19:27:35 UTC
Here is the corrected patch.
Comment 5 tkato432 2014-02-19 17:56:30 UTC
Remake of the patch against current tree.
Comment 6 Martin Wilke freebsd_committer 2014-02-27 08:23:51 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 7 Martin Wilke freebsd_committer 2014-02-27 08:24:21 UTC
State Changed
From-To: open->feedback

plist leftorvers 
http://pkgdev.miwibox.org/84i386-default-default/2014-02-27_03h58m36s/logs/errors/labplot-2.0.1.log
Comment 8 tkato432 2014-04-03 19:58:44 UTC
Remake of the patch against current tree.
Comment 9 tkato432 2014-05-09 20:30:01 UTC
Remake of the patch against current tree.
Comment 10 Martin Wilke freebsd_committer 2014-05-18 08:31:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 11 dfilter freebsd_committer 2014-05-18 08:31:46 UTC
Author: miwi
Date: Sun May 18 07:31:40 2014
New Revision: 354402
URL: http://svnweb.freebsd.org/changeset/ports/354402
QAT: https://qat.redports.org/buildarchive/r354402/

Log:
  - Update to 2.0.1
  
  PR:		185936
  Submitted by:	Ports Fury

Modified:
  head/math/labplot/Makefile
  head/math/labplot/distinfo
  head/math/labplot/pkg-plist

Modified: head/math/labplot/Makefile
==============================================================================
--- head/math/labplot/Makefile	Sun May 18 07:30:11 2014	(r354401)
+++ head/math/labplot/Makefile	Sun May 18 07:31:40 2014	(r354402)
@@ -2,41 +2,23 @@
 # $FreeBSD$
 
 PORTNAME=	labplot
-DISTVERSION=	2.0.0.beta2
-PORTREVISION=	4
+PORTVERSION=	2.0.1
 CATEGORIES=	math kde
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION:R}
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION:R}.0
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Data plotting and function analysis tool for KDE
 
-LICENCE=	GPLv2
+LICENSE=	GPLv2
 
 LIB_DEPENDS=	libgsl.so:${PORTSDIR}/math/gsl
 
-OPTIONS_DEFINE=	CDF HDF5 NETCDF
-CDF_DESC=	CDF data support
-HDF5_DESC=	HDF5 data support
-NETCDF_DESC=	NetCDF data support
-
-WRKSRC=		${WRKDIR}/beta2
-
-USES=		tar:bzip2 cmake shared-mime-info
+USE_BZIP2=	yes
+USES=		cmake shared-mime-info
 USE_XORG=	xft xpm
 USE_GCC=	yes
 USE_KDE4=	automoc4 kdelibs kdeprefix
 USE_QT4=	moc_build qmake_build rcc_build uic_build
-CMAKE_ARGS=	-DOPJ_LIBRARY:STRING=""
-INSTALLS_ICONS=	yes
-
-CDF_LIB_DEPENDS=	libcdf.so:${PORTSDIR}/science/cdf
-CDF_CMAKE_OFF=		-DCDF_LIBRARY:STRING=""
-
-HDF5_LIB_DEPENDS=	libhdf5.so:${PORTSDIR}/science/hdf5
-HDF5_CMAKE_OFF=		-DHDF5_LIBRARY:STRING=""
-
-NETCDF_LIB_DEPENDS=	libnetcdf.so:${PORTSDIR}/science/netcdf
-NETCDF_CMAKE_OFF=	-DNETCDF_LIBRARY:STRING=""
 
 post-patch:
 	@${REINPLACE_CMD} -e \

Modified: head/math/labplot/distinfo
==============================================================================
--- head/math/labplot/distinfo	Sun May 18 07:30:11 2014	(r354401)
+++ head/math/labplot/distinfo	Sun May 18 07:31:40 2014	(r354402)
@@ -1,2 +1,2 @@
-SHA256 (labplot-2.0.0.beta2.tar.bz2) = 1227fb0e2186bde8a71dba68a12f6793ea784e28937a097a1d9843e9b9c83a60
-SIZE (labplot-2.0.0.beta2.tar.bz2) = 558705
+SHA256 (labplot-2.0.1.tar.bz2) = 2d4f28acdb57ffd093b4da5ca0362d8cbfe11163fe04149ae126dac3764b25b3
+SIZE (labplot-2.0.1.tar.bz2) = 580701

Modified: head/math/labplot/pkg-plist
==============================================================================
--- head/math/labplot/pkg-plist	Sun May 18 07:30:11 2014	(r354401)
+++ head/math/labplot/pkg-plist	Sun May 18 07:31:40 2014	(r354402)
@@ -6,7 +6,13 @@ share/apps/LabPlot2/pics/auto-scale-all.
 share/apps/LabPlot2/pics/auto-scale-x.png
 share/apps/LabPlot2/pics/auto-scale-y.png
 share/apps/LabPlot2/pics/axis-horizontal.png
+share/apps/LabPlot2/pics/axis-horizontal.svg
 share/apps/LabPlot2/pics/axis-vertical.png
+share/apps/LabPlot2/pics/axis-vertical.svg
+share/apps/LabPlot2/pics/cartesian-plot-four-axes.svg
+share/apps/LabPlot2/pics/cartesian-plot-two-axes-centered-origin.svg
+share/apps/LabPlot2/pics/cartesian-plot-two-axes-centered.svg
+share/apps/LabPlot2/pics/cartesian-plot-two-axes.svg
 share/apps/LabPlot2/pics/editbreaklayout.png
 share/apps/LabPlot2/pics/editgrid.png
 share/apps/LabPlot2/pics/edithlayout.png
@@ -18,6 +24,7 @@ share/apps/LabPlot2/pics/shift-up-y.png
 share/apps/LabPlot2/pics/x-zoom-in.png
 share/apps/LabPlot2/pics/x-zoom-out.png
 share/apps/LabPlot2/pics/xy-curve.png
+share/apps/LabPlot2/pics/xy-curve.svg
 share/apps/LabPlot2/pics/y-zoom-in.png
 share/apps/LabPlot2/pics/y-zoom-out.png
 share/apps/LabPlot2/pics/zoom-in-x.png
@@ -32,26 +39,9 @@ share/icons/hicolor/32x32/apps/LabPlot2.
 share/icons/hicolor/48x48/apps/LabPlot2.png
 share/icons/hicolor/512x512/apps/LabPlot2.png
 share/icons/hicolor/64x64/apps/LabPlot2.png
-share/mime/packages/lml.desktop
-@dirrmtry share/mime/packages
-@dirrmtry share/mime
-@dirrmtry share/icons/hicolor/64x64/apps
-@dirrmtry share/icons/hicolor/64x64
+share/icons/hicolor/scalable/apps/LabPlot2.svgz
+share/mime/packages/labplot2.xml
 @dirrmtry share/icons/hicolor/512x512/apps
 @dirrmtry share/icons/hicolor/512x512
-@dirrmtry share/icons/hicolor/48x48/apps
-@dirrmtry share/icons/hicolor/48x48
-@dirrmtry share/icons/hicolor/32x32/apps
-@dirrmtry share/icons/hicolor/32x32
-@dirrmtry share/icons/hicolor/256x256/apps
-@dirrmtry share/icons/hicolor/256x256
-@dirrmtry share/icons/hicolor/22x22/apps
-@dirrmtry share/icons/hicolor/22x22
-@dirrmtry share/icons/hicolor/128x128/apps
-@dirrmtry share/icons/hicolor/128x128
-@dirrmtry share/icons/hicolor
-@dirrmtry share/icons
-@dirrmtry share/apps/LabPlot2/pics
-@dirrmtry share/apps/LabPlot2
-@dirrmtry share/apps
-@dirrmtry share/applications/kde4
+@dirrm share/apps/LabPlot2/pics
+@dirrm share/apps/LabPlot2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"